PORTUGUÊS | [ENGLISH](https://github.com/fazedordecodigo/PyFlunt/blob/main/docs/CODE_OF_CONDUCT_EN.md)

# Código de Conduta do Pacto do Contribuidor

## Nosso Compromisso

Nós, como membros, contribuidores e líderes, comprometemo-nos a tornar a participação
em nossa comunidade uma experiência livre de assédio para todos, independentemente de
idade, tamanho corporal, deficiência visível ou invisível, etnia, características
sexuais, identidade e expressão de gênero, nível de experiência, educação, status
socioeconômico, nacionalidade, aparência pessoal, raça, casta, cor, religião ou
orientação sexual.

Nós nos comprometemos a agir e interagir de maneiras que contribuam para uma comunidade
aberta, acolhedora, diversa, inclusiva e saudável.

## Nossos Padrões

Exemplos de comportamentos que contribuem para um ambiente positivo em nossa comunidade
incluem:

* Demonstração de empatia e gentileza para com outras pessoas
* Ser respeitoso com opiniões, pontos de vista e experiências divergentes
* Dar e aceitar graciosamente feedback construtivo
* Aceitar responsabilidade e pedir desculpas às pessoas afetadas por nossos erros, e
aprender com a experiência
* Focar no que é melhor não apenas para nós como indivíduos, mas para a comunidade como
um todo

Exemplos de comportamentos inaceitáveis incluem:

* O uso de linguagem ou imagens sexualizadas, e atenção ou avanços sexuais de qualquer tipo
* Provocações, insultos ou comentários depreciativos, e ataques pessoais ou políticos
* Assédio público ou privado
* Publicação de informações privadas de outras pessoas, como endereço físico ou de e-mail,
sem sua permissão explícita
* Outros comportamentos que poderiam ser considerados inadequados em um ambiente profissional

## Responsabilidades de Execução

Os líderes da comunidade são responsáveis por esclarecer e fazer cumprir nossos padrões de
comportamento aceitável e tomarão medidas corretivas apropriadas e justas em resposta
a qualquer comportamento que considerem inadequado, ameaçador, ofensivo ou prejudicial.

Os líderes da comunidade têm o direito e a responsabilidade de remover, editar ou
rejeitar comentários, commits, código, edições de wiki, problemas e outras contribuições
que não estejam alinhadas a este Código de Conduta, e comunicarão os motivos das decisões
de moderação quando apropriado.

## Abrangência

Este Código de Conduta se aplica a todos os espaços da comunidade, e também se aplica
quando um indivíduo está representando oficialmente a comunidade em espaços públicos.
Exemplos de representação de nossa comunidade incluem o uso de um endereço de e-mail
oficial, postagem através de uma conta oficial de mídia social, ou atuando como
representante designado em um evento online ou offline.

## Execução

Instâncias de comportamento abusivo, assediador ou de outra forma inaceitável podem
ser reportadas aos líderes da comunidade responsáveis pela execução em contato@delatorre.dev.
Todas as reclamações serão revisadas e investigadas prontamente e de forma justa.

Todos os líderes da comunidade são obrigados a respeitar a privacidade e segurança
do denunciante de qualquer incidente.

## Diretrizes de Execução

Os líderes da comunidade seguirão estas Diretrizes de Impacto na Comunidade para
determinar as consequências para qualquer ação que considerem em violação deste Código de Conduta:

### 1. Correção

**Impacto na Comunidade**: Uso de linguagem inadequada ou outro comportamento
considerado não profissional ou indesejado na comunidade.

**Consequência**: Um aviso privado e por escrito dos líderes da comunidade,
fornecendo esclarecimentos sobre a natureza da violação e uma explicação do
porquê o comportamento foi inadequado. Um pedido de desculpas público pode ser solicitado.

### 2. Advertência

**Impacto na Comunidade**: Uma violação por meio de um único incidente ou série
de ações.

**Consequência**: Uma advertência com consequências para comportamento contínuo.
Nenhuma interação com as pessoas envolvidas, incluindo interação não solicitada
com aqueles que estão fazendo cumprir o Código de Conduta, por um período especificado
de tempo. Isso inclui evitar interações em espaços da comunidade, bem como canais
externos como mídia social. Violar estes termos pode levar a uma proibição temporária
ou permanente.

### 3. Proibição Temporária

**Impacto na Comunidade**: Uma violação séria dos padrões da comunidade,
incluindo comportamento inadequado sustentado.

**Consequência**: Uma proibição temporária de qualquer tipo de interação ou
comunicação pública com a comunidade por um período especificado de tempo.
Nenhuma interação pública ou privada com as pessoas envolvidas, incluindo
interação não solicitada com aqueles que estão fazendo cumprir o Código de Conduta,
é permitida durante este período. Violar estes termos pode levar a uma proibição permanente.

### 4. Proibição Permanente

**Impacto na Comunidade**: Demonstração de um padrão de violação dos padrões
da comunidade, incluindo comportamento inadequado sustentado, assédio a um
indivíduo, ou agressão ou difamação de classes de indivíduos.

**Consequência**: Uma proibição permanente de qualquer tipo de interação pública
dentro da comunidade.

## Atribuição

Este Código de Conduta é adaptado do [Pacto do Contribuidor][homepage],
versão 2.1, disponível em [https://www.contributor-covenant.org/version/2/1/code_of_conduct.html][v2.1].

As Diretrizes de Impacto na Comunidade foram inspiradas pela
[escada de execução do código de conduta da Mozilla][Mozilla CoC].

Para respostas a perguntas comuns sobre este código de conduta,
consulte o FAQ em [https://www.contributor-covenant.org/faq][FAQ]. Traduções estão
disponíveis em [https://www.contributor-covenant.org/translations][traduções].

[homepage]: https://www.contributor-covenant.org
[v2.1]: https://www.contributor-covenant.org/version/2/1/code_of_conduct.html
[Mozilla CoC]: https://github.com/mozilla/diversity
[FAQ]: https://www.contributor-covenant.org/faq
